diff --git a/game/client/src/main/java/net/minecraft/client/gui/Screen.java b/game/client/src/main/java/net/minecraft/client/gui/Screen.java
index a107205bf..02e3e754b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/Screen.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/Screen.java
@@ -24,15 +24,14 @@ public abstract class Screen extends Gui {
     public final @NotNull Minecraft mc = Minecraft.getMinecraft();
     public int width;
     public int height;
-    public List<ButtonElement> buttons;
+    public @NotNull List<@NotNull ButtonElement> buttons;
     public boolean passEvents;
-    public FontRenderer fontRenderer;
-    protected ButtonElement clickedButton;
-    protected final Screen parentScreen;
-    private CursorShape desiredCursor = CursorShape.ARROW;
+    public @NotNull FontRenderer fontRenderer = this.mc.font;
+    protected @Nullable ButtonElement clickedButton;
+    protected final @Nullable Screen parentScreen;
+    private @NotNull CursorShape desiredCursor = CursorShape.ARROW;
 
-    public Screen(@Nullable final Screen parent) {
-        super();
+    public Screen(final @Nullable Screen parent) {
         this.buttons = new ArrayList<>();
         this.passEvents = false;
         this.clickedButton = null;
@@ -43,51 +42,50 @@ public abstract class Screen extends Gui {
         this(null);
     }
 
-    public Screen getParentScreen() {
-        return parentScreen;
+    public @Nullable Screen getParentScreen() {
+        return this.parentScreen;
     }
 
-    public final CursorShape getDesiredCursor() {
+    public final @NotNull CursorShape getDesiredCursor() {
         return this.desiredCursor;
     }
 
-    public final void setDesiredCursor(CursorShape desiredCursor) {
+    public final void setDesiredCursor(final @NotNull CursorShape desiredCursor) {
         this.desiredCursor = desiredCursor;
     }
 
-    public <E extends ButtonElement> E add(E button) {
-        buttons.add(button);
+    public <E extends ButtonElement> @NotNull E add(final @NotNull E button) {
+        this.buttons.add(button);
         return button;
     }
 
-    public void render(int mx, int my, float partialTick) {
-        for (int i = 0; i < buttons.size(); i++) {
-            ButtonElement button = buttons.get(i);
-            button.drawButton(mc, mx, my);
+    public void render(final int mx, final int my, final float partialTick) {
+        for (final ButtonElement button : this.buttons) {
+            button.drawButton(this.mc, mx, my);
         }
     }
 
-    public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
+    public void keyPressed(final char eventCharacter, final int eventKey, final int mx, final int my) {
         if (eventKey == Keyboard.KEY_BACK) {
-            mc.displayScreen(parentScreen);
+            this.mc.displayScreen(this.parentScreen);
         }
         if (eventKey == Keyboard.KEY_ESCAPE) {
-            mc.displayScreen(null);
+            this.mc.displayScreen(null);
         }
     }
 
-    public void mouseClicked(int mx, int my, int buttonNum) {
+    public void mouseClicked(final int mx, final int my, final int buttonNum) {
         if (buttonNum == 0) {
-            for (ButtonElement button : buttons) {
-                if (button.mouseClicked(mc, mx, my)) {
-                    clickedButton = button;
+            for (final @NotNull ButtonElement button : this.buttons) {
+                if (button.mouseClicked(this.mc, mx, my)) {
+                    this.clickedButton = button;
                     if (button.playSound) {
-                        mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
+                        this.mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
                     }
                     if (button.listener != null) {
                         button.listener.listen(button);
                     } else {
-                        buttonClicked(button);
+                        this.buttonClicked(button);
                     }
                     return;
                 }
@@ -95,64 +93,64 @@ public abstract class Screen extends Gui {
         }
     }
 
-    public void mouseReleased(int mx, int my, int buttonNum) {
-        if (clickedButton != null && buttonNum == 0) {
-            buttonReleased(clickedButton);
-            clickedButton.mouseReleased(mx, my);
-            clickedButton = null;
+    public void mouseReleased(final int mx, final int my, final int buttonNum) {
+        if (this.clickedButton != null && buttonNum == 0) {
+            this.buttonReleased(this.clickedButton);
+            this.clickedButton.mouseReleased(mx, my);
+            this.clickedButton = null;
         }
     }
 
-    protected void buttonClicked(ButtonElement button) {
+    protected void buttonClicked(final @NotNull ButtonElement button) {
     }
 
-    protected void buttonReleased(ButtonElement button) {
+    protected void buttonReleased(final @NotNull ButtonElement button) {
     }
 
-    public void opened(int width, int height) {
-        fontRenderer = mc.font;
+    public void opened(final int width, final int height) {
+        this.updateFont();
         this.width = width;
         this.height = height;
-        buttons.clear();
-        init();
+        this.buttons.clear();
+        this.init();
     }
 
     public void init() {
     }
 
     public void updateEvents() {
-        int mouseX = (Mouse.getEventX() * width) / mc.resolution.getWidthScreenCoords();
-        int mouseY = height - (Mouse.getEventY() * height) / mc.resolution.getHeightScreenCoords() - 1;
+        final int mouseX = (Mouse.getEventX() * this.width) / this.mc.resolution.getWidthScreenCoords();
+        final int mouseY = this.height - (Mouse.getEventY() * this.height) / this.mc.resolution.getHeightScreenCoords() - 1;
 
         while (Mouse.next()) {
-            if (mc.inputType == InputType.CONTROLLER) break;
+            if (this.mc.inputType == InputType.CONTROLLER) break;
 
             if (Mouse.getEventButtonState()) {
-                mouseClicked(mouseX, mouseY, Mouse.getEventButton());
+                this.mouseClicked(mouseX, mouseY, Mouse.getEventButton());
             } else {
-                mouseReleased(mouseX, mouseY, Mouse.getEventButton());
+                this.mouseReleased(mouseX, mouseY, Mouse.getEventButton());
             }
         }
         while (Keyboard.next()) {
-            if (Keyboard.getEventKeyState() && mc.gameSettings.showFrameTimes.value && DebugRender.keyPressed(Keyboard.getEventKey())) {
+            if (Keyboard.getEventKeyState() && this.mc.gameSettings.showFrameTimes.isTrue() && DebugRender.keyPressed(Keyboard.getEventKey())) {
                 continue;
             }
-            int eventKey = Keyboard.getEventKey();
-            char eventChar = Keyboard.getEventCharacter();
+            final int eventKey = Keyboard.getEventKey();
+            final char eventChar = Keyboard.getEventCharacter();
             if (eventKey == 0 && Character.isDefined(eventChar)) {
-                keyPressed(eventChar, eventKey, mouseX, mouseY);
+                this.keyPressed(eventChar, eventKey, mouseX, mouseY);
                 return;
             }
             if (Keyboard.getEventKeyState()) {
                 if (eventKey == Keyboard.KEY_F11) {
-                    mc.gameWindow.toggleFullscreen();
+                    this.mc.gameWindow.toggleFullscreen();
                     return;
                 }
-                if (!(this instanceof ScreenConsole) && eventKey == mc.gameSettings.keyShowConsole.getKeyCode() && mc.gameSettings.developerMode.value && !Keyboard.areRepeatEventsEnabled()) {
-                    mc.displayScreen(new ScreenConsole(this));
+                if (!(this instanceof ScreenConsole) && eventKey == this.mc.gameSettings.keyShowConsole.getKeyCode() && this.mc.gameSettings.developerMode.isTrue() && !Keyboard.areRepeatEventsEnabled()) {
+                    this.mc.displayScreen(new ScreenConsole(this));
                     return;
                 }
-                keyPressed(eventChar, eventKey, mouseX, mouseY);
+                this.keyPressed(eventChar, eventKey, mouseX, mouseY);
             }
         }
     }
@@ -164,54 +162,54 @@ public abstract class Screen extends Gui {
     }
 
     public void renderBackground() {
-        if (mc.currentWorld != null) {
-            int color = mc.gameSettings.guiBackgroundColor.value.getARGB();
-            drawGradientRect(0, 0, width, height, color, color);
+        if (this.mc.currentWorld != null) {
+            final int color = this.mc.gameSettings.guiBackgroundColor.value.getARGB();
+            this.drawGradientRect(0, 0, this.width, this.height, color, color);
         } else {
-            renderTexturedBackground();
+            this.renderTexturedBackground();
         }
     }
 
     public void renderTexturedBackground() {
         GL11.glDisable(GL11.GL_LIGHTING);
         GL11.glDisable(GL11.GL_FOG);
-        Tessellator tessellator = Tessellator.instance;
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+        final Tessellator tessellator = Tessellator.instance;
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        float f = 32F;
+        final float scale = 32F;
         tessellator.startDrawingQuads();
         tessellator.setColorOpaque_I(0x404040);
-        tessellator.addVertexWithUV(0.0D, height, 0.0D, 0.0D, (float) height / f);
-        tessellator.addVertexWithUV(width, height, 0.0D, (float) width / f, (float) height / f);
-        tessellator.addVertexWithUV(width, 0.0D, 0.0D, (float) width / f, 0);
+        tessellator.addVertexWithUV(0.0D, this.height, 0.0D, 0.0D, (float) this.height / scale);
+        tessellator.addVertexWithUV(this.width, this.height, 0.0D, (float) this.width / scale, (float) this.height / scale);
+        tessellator.addVertexWithUV(this.width, 0.0D, 0.0D, (float) this.width / scale, 0);
         tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, 0.0D, 0);
         tessellator.draw();
     }
 
     public void drawControllerCursor() {
-        if (mc.controllerInput.hideCursor) return;
+        if (this.mc.controllerInput == null || this.mc.controllerInput.hideCursor) return;
         glDisable(GL_DEPTH_TEST);
         glEnable(GL_BLEND);
         glColor3d(1.0, 1.0, 1.0);
-        drawGuiTexture(mc.textureManager, (int) (mc.controllerInput.cursorX - 8), (int) (mc.controllerInput.cursorY - 8), 16, 16, "/assets/minecraft/textures/gui/controller/cursor.png");
+        this.drawGuiTexture(this.mc.textureManager, (int) (this.mc.controllerInput.cursorX - 8), (int) (this.mc.controllerInput.cursorY - 8), 16, 16, "/assets/minecraft/textures/gui/controller/cursor.png");
         glDisable(GL_BLEND);
     }
 
-    public void controllerInput(ControllerInput controller) {
-        guiSpecificControllerInput(controller);
-        playControllerButtonSound(controller);
+    public void controllerInput(final @NotNull ControllerInput controller) {
+        this.guiSpecificControllerInput(controller);
+        this.playControllerButtonSound(controller);
     }
 
-    public void playControllerButtonSound(ControllerInput controller) {
+    public void playControllerButtonSound(final @NotNull ControllerInput controller) {
         if (controller.buttonA.pressedThisFrame() || controller.buttonX.pressedThisFrame() || controller.buttonY.pressedThisFrame()) {
-            mc.sndManager.playSound("ui.ui_click", SoundCategory.GUI_SOUNDS, 1.0f, 1.0f);
+            this.mc.sndManager.playSound("ui.ui_click", SoundCategory.GUI_SOUNDS, 1.0f, 1.0f);
         }
         if (controller.buttonB.pressedThisFrame()) {
-            mc.sndManager.playSound("ui.ui_back", SoundCategory.GUI_SOUNDS, 1.0f, 1.0f);
+            this.mc.sndManager.playSound("ui.ui_back", SoundCategory.GUI_SOUNDS, 1.0f, 1.0f);
         }
     }
 
-    public void guiSpecificControllerInput(ControllerInput controller) {
+    public void guiSpecificControllerInput(final @NotNull ControllerInput controller) {
         this.mouseReleased((int)controller.cursorX, (int)controller.cursorY, -1);
         if(controller.buttonB.pressedThisFrame()) {
             this.keyPressed((char)0, Keyboard.KEY_BACK, -1, -1);
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenAddServer.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
index c69c474ec..133002802 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenAddServer.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui;
 import net.minecraft.core.net.ServerData;
 import net.minecraft.core.net.SavedServerList;
 import net.minecraft.core.lang.I18n;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 
 public class ScreenAddServer extends Screen
@@ -57,7 +58,7 @@ public class ScreenAddServer extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(!button.enabled)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
index afa150337..8c9f15c57 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
@@ -2,6 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.lang.I18n;
+import org.jetbrains.annotations.NotNull;
 
 public class ScreenConnectFailed extends Screen
 {
@@ -44,7 +45,7 @@ public class ScreenConnectFailed extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(button.id == 0)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
index 8bb58bb8b..71e9c0207 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
@@ -2,6 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.ServerAddress;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 
 public class ScreenConnectToIp extends Screen
@@ -40,7 +41,7 @@ public class ScreenConnectToIp extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(!button.enabled)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
index bd490ad0c..9bc0a89d1 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
@@ -5,6 +5,7 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.packet.PacketPreLogin;
+import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 
 import java.net.ConnectException;
@@ -86,7 +87,7 @@ public class ScreenConnecting extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(button.id == 0)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
index 11cc12ce4..80f4c1155 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
@@ -6,6 +6,7 @@ import net.minecraft.client.input.controller.Button;
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.client.input.controller.ControllerType;
 import net.minecraft.core.lang.I18n;
+import org.jetbrains.annotations.NotNull;
 
 import java.util.Arrays;
 
@@ -126,7 +127,7 @@ public class ScreenControllerSetup extends Screen {
     public void keyPressed(char eventCharacter, int eventKey, int mx, int my) { }
 
     @Override
-    protected void buttonClicked(ButtonElement button) {
+    protected void buttonClicked(@NotNull ButtonElement button) {
         super.buttonClicked(button);
 
         if (button.id == 0) {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
index 08a853f00..4a1196839 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
@@ -10,6 +10,7 @@ import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.settings.WorldConfiguration;
 import net.minecraft.core.world.type.WorldTypeGroups;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 
 import java.util.List;
@@ -68,7 +69,7 @@ public class ScreenCreateWorld extends Screen {
     }
 
     @Override
-    protected void buttonClicked(ButtonElement button) {
+    protected void buttonClicked(@NotNull ButtonElement button) {
         if (!button.enabled) {
             return;
         }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
index d776d2bb8..ccf7e2506 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
@@ -3,6 +3,7 @@ package net.minecraft.client.gui;
 import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.net.packet.PacketKeepAlive;
 import net.minecraft.core.lang.I18n;
+import org.jetbrains.annotations.NotNull;
 
 public class ScreenDownloadTerrain extends Screen
 {
@@ -39,7 +40,7 @@ public class ScreenDownloadTerrain extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
index 46fb3619e..0e10fbf8e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
@@ -4,6 +4,7 @@ import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.packet.PacketKeepAlive;
 import net.minecraft.core.player.gamemode.Gamemode;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.core.net.command.TextFormatting;
@@ -44,7 +45,7 @@ public class ScreenGameOver extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(button.id == 1)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
index 52a06c8ca..3517e491a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
@@ -10,6 +10,7 @@ import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.opengl.GL11;
 
 import java.util.ArrayList;
@@ -50,7 +51,7 @@ public class ScreenHudDesigner
     }
 
     @Override
-    protected void buttonClicked(ButtonElement button) {
+    protected void buttonClicked(@NotNull ButtonElement button) {
         super.buttonClicked(button);
         if (button.id == 0) {
             mc.displayScreen(getParentScreen());
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
index 2a4d2613e..286eb873d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
@@ -9,6 +9,7 @@ import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.packet.PacketSetItemName;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -49,7 +50,7 @@ public class ScreenLabelEditor extends Screen implements ITextField
     }
 
     @Override
-    protected void buttonClicked(final ButtonElement button)
+    protected void buttonClicked(final @NotNull ButtonElement button)
     {
         if (!button.enabled)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
index c67571377..a72a61e4b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
@@ -200,7 +200,7 @@ public class ScreenMainMenu extends Screen
     }
 
     @Override
-    protected void buttonClicked(ButtonElement button)
+    protected void buttonClicked(@NotNull ButtonElement button)
     {
         switch (button.id) {
             case 0:
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java
index 9e4266709..38bcd3fd5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPause.java
@@ -14,6 +14,7 @@ import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.client.input.InputType;
+import org.jetbrains.annotations.NotNull;
 
 public class ScreenPause extends Screen
 {
@@ -54,7 +55,7 @@ public class ScreenPause extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         switch (button.id) {
             case 0:
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
index 119fc21d8..3157f9b9c 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenPhotoMode.java
@@ -7,6 +7,7 @@ import net.minecraft.core.Global;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.season.Season;
 import net.minecraft.core.world.season.Seasons;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
@@ -216,7 +217,7 @@ public class ScreenPhotoMode extends Screen
     }
 
     @Override
-    protected void buttonClicked(ButtonElement button)
+    protected void buttonClicked(@NotNull ButtonElement button)
     {
         if (button == buttonRotateLeft)
         {
@@ -511,7 +512,7 @@ public class ScreenPhotoMode extends Screen
     }
 
     @Override
-    public void guiSpecificControllerInput(ControllerInput controller) {
+    public void guiSpecificControllerInput(@NotNull ControllerInput controller) {
         super.guiSpecificControllerInput(controller);
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
index 9e7f6cc05..5b1464721 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectServer.java
@@ -11,6 +11,7 @@ import net.minecraft.core.net.SavedServerList;
 import net.minecraft.core.net.ServerAddress;
 import net.minecraft.core.net.ServerData;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
 import javax.crypto.Cipher;
@@ -89,7 +90,7 @@ public class ScreenSelectServer extends Screen {
 	}
 
 	@Override
-	protected void buttonClicked(ButtonElement button) {
+	protected void buttonClicked(@NotNull ButtonElement button) {
 		if(!button.enabled) {
 			return;
 		}
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
index 6395aaa4a..e4821053f 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
@@ -182,7 +182,7 @@ public class ScreenSelectWorld extends Screen
     }
 
     @Override
-    protected void buttonClicked(ButtonElement button)
+    protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(!button.enabled) {
             return;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
index 3bccdbba2..8e15eaf18 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSignEditor.java
@@ -81,7 +81,7 @@ public class ScreenSignEditor extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(!button.enabled)
         {
@@ -209,7 +209,7 @@ public class ScreenSignEditor extends Screen
     }
 
     @Override
-    public void guiSpecificControllerInput(ControllerInput controller) {
+    public void guiSpecificControllerInput(@NotNull ControllerInput controller) {
         super.guiSpecificControllerInput(controller);
         if (controller.digitalPad.up.pressedThisFrame()) {
             editLine = editLine - 1 & 3;
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSleepSP.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSleepSP.java
index ee6ca6110..b1f7467cf 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSleepSP.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSleepSP.java
@@ -1,6 +1,7 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.core.lang.I18n;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 
 public class ScreenSleepSP extends Screen {
@@ -19,7 +20,7 @@ public class ScreenSleepSP extends Screen {
 	}
 	
 	@Override
-	protected void buttonClicked(ButtonElement button) {
+	protected void buttonClicked(@NotNull ButtonElement button) {
 		if(button.id == 1) {
 			wakeUp();
 		}
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
index cf5488740..8153e701b 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
@@ -12,6 +12,7 @@ import net.minecraft.client.util.helper.FileOpener;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
@@ -137,11 +138,11 @@ public class ScreenSoundTest extends Screen {
                 }});
     }
 
-    protected void buttonClicked(ButtonElement button)
+    protected void buttonClicked(@NotNull ButtonElement button)
     {
     }
 
-    protected void buttonReleased(ButtonElement button)
+    protected void buttonReleased(@NotNull ButtonElement button)
     {
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
index 51c21e870..aa5eab8f5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
@@ -10,6 +10,7 @@ import net.minecraft.core.item.Item;
 import net.minecraft.client.render.Lighting;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.opengl.GL12;
@@ -71,7 +72,7 @@ public class ScreenStats extends Screen {
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button)
+	protected void buttonClicked(@NotNull ButtonElement button)
     {
         if(!button.enabled)
         {
diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
index eb120d727..3d30cc8d5 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenTextureViewer.java
@@ -9,6 +9,7 @@ import net.minecraft.client.render.texture.Texture;
 import net.minecraft.client.util.helper.FileOpener;
 import net.minecraft.client.util.helper.Textures;
 import net.minecraft.core.lang.I18n;
+import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
 
@@ -99,11 +100,11 @@ public class ScreenTextureViewer extends Screen {
         );
     }
 
-    protected void buttonClicked(ButtonElement button)
+    protected void buttonClicked(@NotNull ButtonElement button)
     {
     }
 
-    protected void buttonReleased(ButtonElement button)
+    protected void buttonReleased(@NotNull ButtonElement button)
     {
     }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
index ccfce48e5..d9df13fac 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/achievements/ScreenAchievements.java
@@ -184,7 +184,7 @@ public class ScreenAchievements extends Screen
     }
 
     @Override
-	protected void buttonClicked(ButtonElement button) {
+	protected void buttonClicked(@NotNull ButtonElement button) {
         if(button.id == 1) {
             mc.displayScreen(parent);
             //mc.setIngameFocus();
